Subject: Re: [PATCH (tig)] Infrastructure for tig rpm builds.

From: Jonas Fonseca <[email-masked]>
Date: Thu, 31 May 2007 15:16:16 +0200

Jakub Narebski <[email-masked]> wrote Wed, May 30, 2007:
> On Tue, 29 May 2007, Jonas Fonseca wrote:
> > Jakub Narebski <[email-masked]> wrote Mon, May 28, 2007:
> [...]
> By the way, isn't Ubuntu based on Debian? Do you
> have rpmbuild installed?

Yes it is Debian-based and yes I do, but I don't know if I need to do
something explicitly to get it working. Mostly, prefixing things with
'sudo' works magic on Ubuntu but not in this case. ;)

> BTW. perhaps you could provide spec equivalent for building tig*.deb?

Well, there already exists a Debian package for tig so it would be easy
to lift the files required and if the Debian maintainer wanted it, sure.
However, not as simple as a .spec file so it is more work to maintain.
 
>   1000:[master!tig]$ make rpm

Maybe you can test the newly released tig 0.7 tarball?

Your patch was added as commit 8cdf56913e7e486bb3f527c24ee4a4d19f2a4f61,
with a few minor adjustments.
 
> [...]
> >> +%files
> >> +%defattr(-,root,root)
> >> +%{_bindir}/*
> >> +%doc README COPYING INSTALL SITES BUGS TODO tigrc
> 
> By the way, should we put tigrc in examples/tigrc, or perhaps in some
> skeleton file?

It is mostly the default (builtin) options, so I don't see the point.
Maybe it is time tig got a contrib area though, since I've been wanting
to make a bash completion file. The tigrc file could go there as
tigrc.sample or something. Could make it more obvious the intension of
the file?

> > I don't know if manual.txt should perhaps be included if
> > HTML and PDF files will not be generated.
> > 
> >> +%{!?_without_docs: %{_mandir}/man1/*.1*}
> >> +%{!?_without_docs: %{_mandir}/man5/*.5*}
> >> +%{!?_without_docs: %doc *.html *.pdf}
> 
> O.K. It would be as easy as %{?_without_docs: %doc *.txt}

I will try to correct this together with the no-PDF doc-building.

-- 
Jonas Fonseca